#!/bin/bash
### BEGIN INIT INFO
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start mk daemon at boot time
# Description:       Start mk daemon at boot time
### END INIT INFO

sudo udevadm trigger
#######
cd  /opt/apps/ktservice-driver-kaer/bin

chmod +x startService.sh
chmod +x stopService.sh

sudo touch /etc/systemd/system/ktservice.service
chmod 766 /etc/systemd/system/ktservice.service
# cur_user=getent passwd `who` | head -n 1 | cut -d : -f 1
cur_user=`getent passwd \`who\` | head -n 1 | cut -d : -f 1`
echo 'cur_user='${cur_user}
sudo cat > /etc/systemd/system/ktservice.service << EOF
[Unit]
Description=kt sam service
After=network.target
StartLimitIntervalSec=36000
StartLimitBurst=7200

[Service]
Type=forking
User=${cur_user}
#User=root
#Group=users
WorkingDirectory=$(pwd)
ExecStart=$(pwd)/startService.sh
ExecStop=$(pwd)/stopService.sh
Restart=always
RestartSec=5
[Install]
WantedBy=multi-user.target
EOF
chmod 777 /dev/hidraw*
echo 'install=,0,'${cur_user}
sudo systemctl daemon-reload
echo 'install=,1,'${cur_user}
sudo systemctl enable ktservice
echo 'install=,2,'${cur_user}
sudo systemctl restart ktservice
echo 'install=,3,'${cur_user}
sudo ldconfig